# Class AcceptLanguage

java.lang.Object
org.apache.tomcat.util.http.parser.AcceptLanguage

public class AcceptLanguage extends Object
Represents a single language entry from an Accept-Language header.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AcceptLanguage(Locale locale, double quality)`
Constructs a new AcceptLanguage.

## Method Summary

Modifier and Type
Method
Description
`Locale`
`getLocale()`
Returns the locale.
`double`
`getQuality()`
Returns the quality value.
`static List<AcceptLanguage>`
`parse(StringReader input)`
Parses an Accept-Language header value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AcceptLanguage

protected AcceptLanguage(Locale locale, double quality)
Constructs a new AcceptLanguage.

Parameters:
  `locale` - The locale of this language entry
  `quality` - The quality value for this language entry

## Method Details

### getLocale

public Locale getLocale()
Returns the locale.

Returns:
  The locale of this language entry

### getQuality

public double getQuality()
Returns the quality value.

Returns:
  The quality value of this language entry

### parse

public static List<AcceptLanguage> parse(StringReader input) throws IOException
Parses an Accept-Language header value.

Parameters:
  `input` - The StringReader containing the header value
Returns:
  A list of AcceptLanguage entries sorted by quality
Throws:
  `IOException` - If an I/O error occurs while reading the input